Skip to main content

Reverse Geocoding

Address from Coordinates

The Reverse geocoding service retrieves address candidates from geographic coordinates, with street, house number, postal code, and distance.

Endpoint​

POSThttps://{host}:{port}/Egon/api/revGeo

Headers & authentication​

Required request headers and their expected values.

FieldTypeDescription
tokenreq
String

Authentication token sent in the token request header.

Request​

Geographic coordinates (latitude, longitude), radius, and search options.

FieldTypeDescription
parreq
Object
iso3req
String

Country code (ISO 3166-1 alpha-3)

type
String

Type of reverse: P punctual or V vector

Default value: P

radius
Number

Radius from the input coordinates, in meters

Default value: 100

increase_radius
Number

Increased search radius

Default value: 1

search_attempts
Number

Number of search attempts

Default value: 1

max_candidates
Number

Maximum number of candidates to extract

Default value: 10

datareq
Object
latitudereq
Number

Latitude

longitudereq
Number

Longitude

Response​

Nearest address candidates, distance, administrative hierarchy, and system status.

FieldTypeDescription
data
Object
results
Array

Reverse-geocoding results

hn_id
Number

ID of the number

province_code
String

Province code

city
String

City description

locality
String

District description

street
String

Street name

zipcode
String

Postal code

hn
String

House number

exponent
String

Exponent

longitude
String

Longitude

latitude
String

Latitude

distance
Number

Distance (in meters)

system
Object

System error and execution status

ret_code
Number

Code: 0 no blocking error, <> 0 blocking error code

des_ret_code
String

Description

Request Example
curl -X POST "https://{host}:{port}/Egon/api/revGeo" \
-H "token: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"par": {
"iso3": "ITA"
},
"data": {
"longitude": 10.97382316,
"latitude": 45.406161
}
}'